<section data-ng-controller="CategoriesController" data-ng-init="find()">
    <div class="page-header">
        <h1>Categories</h1>
    </div>
    <div class="list-group">
        <div  data-ng-repeat="category in categories | filter:{'parent':  null}" data-ng-href="#!/categories/{{category._id}}" class="list-group-item">
			<small class="list-group-item-text">
				Posted on
				<span data-ng-bind="category.created | date:'medium'"></span>
				by
				<span data-ng-bind="category.user.displayName"></span>
			</small>
			<h4 class="list-group-item-heading" data-ng-bind="category.name"></h4>
                       <div data-ng-repeat="child in getChildren(category._id)">
                        <h3 class="list-group-item-heading" data-ng-bind="child.name"></h3>
                        </div>
        </div>
    </div>
   <nav class="collapse navbar-collapse" collapse="!isCollapsed" role="navigation">
		<ul class="nav navbar-nav">
			<li data-ng-repeat="category in categories | filter:{'parent':  null}" dropdown="'dropdown'" >
				<a   class="dropdown-toggle">
					<span data-ng-bind="category.name"></span>
					<b class="caret"></b>
				</a>
				<ul ng-switch-when="dropdown" class="dropdown-menu">
					<li data-ng-repeat="child in getChildren(category._id)">
						<a href="/#!/{{child._id}}" data-ng-bind="child.name"></a>
					</li>
				</ul>
				<a ng-switch-default href="/#!/{{category._id}}" data-ng-bind="category.name"></a>
			</li>
		</ul>
    <div class="alert alert-warning text-center" data-ng-hide="!categories.$resolved || categories.length">
    	No Categories yet, why don't you <a href="/#!/categories/create">create one</a>?
    </div>
    </nav>
</section>

